<?php
/**
 * @package linea21.core
 * @subpackage public
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */
?>

<?php
//////////////////////////////////////////
/////affichage newsletter
//////////////////////////////////////////

if(ActiveItemKey($GLOBALS['activeitem']) == 'newsletter') {

  SetHTMLTitle('Newsletter'); // set HTML title
  setBreadcrumb(array(ucfirst(formatText('Newsletter', '2HTML')) => $link = HrefMaker(array('rub'=> $GLOBALS['links'][U_L]['newsletter']['linkvalue']))));
  $GLOBALS['filters'][U_L]['theme']['active'] = 0; // filter activation
  $GLOBALS['filters'][U_L]['level']['active'] = 0; // filter activation
  $GLOBALS['filters'][U_L]['scale']['active'] = 0; // filter activation
  
  include_once(override('../newsletter/display.php'));
  
  if(isset($_REQUEST['id']) && is_numeric($_REQUEST['id'])) $id=$_REQUEST['id']; else $id=null;

  echo '<h1>'.mb_ucfirst(_t('name', 'newsletter_module')).'</h1>'.END_LINE;
  
  displayNewsletter($id);
  
  echo '<div class="nav">'.END_LINE;
  echo '<h2>'._t('divers', 'previous_newsletter').'</h2>'.END_LINE;
  echo newslettersList($id);
  echo '</div>'.END_LINE;
}

?>